Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.record
Class OEPlaceholderAtom

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordAtom
              org.apache.poi.hslf.record.OEPlaceholderAtom

    public final class OEPlaceholderAtom

extends RecordAtom

OEPlaceholderAtom (3011).

An atom record that specifies whether a shape is a placeholder shape.

Author:
  Yegor Kozlov

Field Summary
`static byte` | `Body` The corresponding shape contains the body text.
`static byte` | `CenteredTitle` The corresponding shape contains the title text.
`static byte` | `ClipArt` The corresponding shape contains a clipart object.
`static byte` | `Graph` The corresponding shape contains a chart object.
`static byte` | `MasterBody` The corresponding shape contains the master body text.
`static byte` | `MasterCenteredTitle` The corresponding shape contains the master center title text.
`static byte` | `MasterDate` The corresponding shape contains the date text field.
`static byte` | `MasterFooter` The corresponding shape contains a footer text field.
`static byte` | `MasterHeader` The corresponding shape contains a header text field.
`static byte` | `MasterNotesBody` The corresponding shape contains the master body text.
`static byte` | `MasterNotesSlideImage` The corresponding shape contains the shared properties for slide image shapes.
`static byte` | `MasterSlideNumber` The corresponding shape contains a slide number text field.
`static byte` | `MasterSubTitle` The corresponding shape contains the master sub-title text.
`static byte` | `MasterTitle` The corresponding shape contains the master title text.
`static byte` | `MediaClip` The corresponding shape contains a media object.
`static byte` | `None` MUST NOT be used for this field.
`static byte` | `NotesBody` The corresponding shape contains the notes text.
`static byte` | `NotesSlideImage` The corresponding shape contains a presentation slide image.
`static byte` | `Object` The corresponding shape contains a generic object.
`static byte` | `OrganizationChart` The corresponding shape contains an organization chart object.
`static int` | `PLACEHOLDER_FULLSIZE` The full size of the master body text placeholder shape.
`static int` | `PLACEHOLDER_HALFSIZE` Half of the size of the master body text placeholder shape.
`static int` | `PLACEHOLDER_QUARTSIZE` A quarter of the size of the master body text placeholder shape.
`static byte` | `Subtitle` The corresponding shape contains the sub-title text.
`static byte` | `Table` The corresponding shape contains a table object.
`static byte` | `Title` The corresponding shape contains the title text.
`static byte` | `VerticalTextBody` The corresponding shape contains the body text with vertical text flow.
`static byte` | `VerticalTextTitle` The corresponding shape contains the title text with vertical text flow.

Constructor Summary
`OEPlaceholderAtom()` Create a new instance of `OEPlaceholderAtom`

Method Summary
`int` | `getPlaceholderId()` Returns the placeholder Id.
`int` | `getPlaceholderSize()` Returns the placeholder size.
`int` | `getPlacementId()` Returns the placement Id.
`long` | `getRecordType()` Returns the type (held as a little endian in bytes 3 and 4) that this class handles
`void` | `setPlaceholderId(byte id)` Sets the placeholder Id.
`void` | `setPlaceholderSize(byte size)` Sets the placeholder size.
`void` | `setPlacementId(int id)` Sets the placement Id.
`void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordAtom
`getChildRecords, isAnAtom`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLACEHOLDER_FULLSIZE

    public static final int PLACEHOLDER_FULLSIZE

  The full size of the master body text placeholder shape.

  See Also:
    Constant Field Values

### PLACEHOLDER_HALFSIZE

    public static final int PLACEHOLDER_HALFSIZE

  Half of the size of the master body text placeholder shape.

  See Also:
    Constant Field Values

### PLACEHOLDER_QUARTSIZE

    public static final int PLACEHOLDER_QUARTSIZE

  A quarter of the size of the master body text placeholder shape.

  See Also:
    Constant Field Values

### None

    public static final byte None

  MUST NOT be used for this field.

  See Also:
    Constant Field Values

### MasterTitle

    public static final byte MasterTitle

  The corresponding shape contains the master title text. The corresponding slide MUST be a main master slide.

  See Also:
    Constant Field Values

### MasterBody

    public static final byte MasterBody

  The corresponding shape contains the master body text. The corresponding slide MUST be a main master slide.

  See Also:
    Constant Field Values

### MasterCenteredTitle

    public static final byte MasterCenteredTitle

  The corresponding shape contains the master center title text. The corresponding slide MUST be a title master slide.

  See Also:
    Constant Field Values

### MasterSubTitle

    public static final byte MasterSubTitle

  The corresponding shape contains the master sub-title text. The corresponding slide MUST be a title master slide.

  See Also:
    Constant Field Values

### MasterNotesSlideImage

    public static final byte MasterNotesSlideImage

  The corresponding shape contains the shared properties for slide image shapes. The corresponding slide MUST be a notes master slide.

  See Also:
    Constant Field Values

### MasterNotesBody

    public static final byte MasterNotesBody

  The corresponding shape contains the master body text. The corresponding slide MUST be a notes master slide.

  See Also:
    Constant Field Values

### MasterDate

    public static final byte MasterDate

  The corresponding shape contains the date text field. The corresponding slide MUST be a main master slide, title master slide, notes master slide, or handout master slide.

  See Also:
    Constant Field Values

### MasterSlideNumber

    public static final byte MasterSlideNumber

  The corresponding shape contains a slide number text field. The corresponding slide MUST be a main master slide, title master slide, notes master slide, or handout master slide.

  See Also:
    Constant Field Values

### MasterFooter

    public static final byte MasterFooter

  The corresponding shape contains a footer text field. The corresponding slide MUST be a main master slide, title master slide, notes master slide, or handout master slide.

  See Also:
    Constant Field Values

### MasterHeader

    public static final byte MasterHeader

  The corresponding shape contains a header text field. The corresponding slide must be a notes master slide or handout master slide.

  See Also:
    Constant Field Values

### NotesSlideImage

    public static final byte NotesSlideImage

  The corresponding shape contains a presentation slide image. The corresponding slide MUST be a notes slide.

  See Also:
    Constant Field Values

### NotesBody

    public static final byte NotesBody

  The corresponding shape contains the notes text. The corresponding slide MUST be a notes slide.

  See Also:
    Constant Field Values

### Title

    public static final byte Title

  The corresponding shape contains the title text. The corresponding slide MUST be a presentation slide.

  See Also:
    Constant Field Values

### Body

    public static final byte Body

  The corresponding shape contains the body text. The corresponding slide MUST be a presentation slide.

  See Also:
    Constant Field Values

### CenteredTitle

    public static final byte CenteredTitle

  The corresponding shape contains the title text. The corresponding slide MUST be a presentation slide.

  See Also:
    Constant Field Values

### Subtitle

    public static final byte Subtitle

  The corresponding shape contains the sub-title text. The corresponding slide MUST be a presentation slide.

  See Also:
    Constant Field Values

### VerticalTextTitle

    public static final byte VerticalTextTitle

  The corresponding shape contains the title text with vertical text flow. The corresponding slide MUST be a presentation slide.

  See Also:
    Constant Field Values

### VerticalTextBody

    public static final byte VerticalTextBody

  The corresponding shape contains the body text with vertical text flow. The corresponding slide MUST be a presentation slide.

  See Also:
    Constant Field Values

### Object

    public static final byte Object

  The corresponding shape contains a generic object. The corresponding slide MUST be a presentation slide.

  See Also:
    Constant Field Values

### Graph

    public static final byte Graph

  The corresponding shape contains a chart object. The corresponding slide MUST be a presentation slide.

  See Also:
    Constant Field Values

### Table

    public static final byte Table

  The corresponding shape contains a table object. The corresponding slide MUST be a presentation slide.

  See Also:
    Constant Field Values

### ClipArt

    public static final byte ClipArt

  The corresponding shape contains a clipart object. The corresponding slide MUST be a presentation slide.

  See Also:
    Constant Field Values

### OrganizationChart

    public static final byte OrganizationChart

  The corresponding shape contains an organization chart object. The corresponding slide MUST be a presentation slide.

  See Also:
    Constant Field Values

### MediaClip

    public static final byte MediaClip

  The corresponding shape contains a media object. The corresponding slide MUST be a presentation slide.

  See Also:
    Constant Field Values

Constructor Detail

### OEPlaceholderAtom

    public OEPlaceholderAtom()

  Create a new instance of `OEPlaceholderAtom`

Method Detail

### getRecordType

    public long getRecordType()

  Description copied from class: `Record`
  Returns the type (held as a little endian in bytes 3 and 4) that this class handles

  Specified by:
    `getRecordType` in class `Record`
  Returns:
    type of this record `RecordTypes.OEPlaceholderAtom`.

### getPlacementId

    public int getPlacementId()

  Returns the placement Id.

  The placement Id is a number assigned to the placeholder. It goes from -1 to the number of placeholders. It SHOULD be unique among all PlacholderAtom records contained in the corresponding slide. The value 0xFFFFFFFF specifies that the corresponding shape is not a placeholder shape.

  Returns:
    the placement Id.

### setPlacementId

    public void setPlacementId(int id)

  Sets the placement Id.

  The placement Id is a number assigned to the placeholder. It goes from -1 to the number of placeholders. It SHOULD be unique among all PlacholderAtom records contained in the corresponding slide. The value 0xFFFFFFFF specifies that the corresponding shape is not a placeholder shape.

  Parameters:
    `id` - the placement Id.

### getPlaceholderId

    public int getPlaceholderId()

  Returns the placeholder Id.

  placeholder Id specifies the type of the placeholder shape. The value MUST be one of the static constants defined in this class

  Returns:
    the placeholder Id.

### setPlaceholderId

    public void setPlaceholderId(byte id)

  Sets the placeholder Id.

  placeholder Id specifies the type of the placeholder shape. The value MUST be one of the static constants defined in this class

  Parameters:
    `id` - the placeholder Id.

### getPlaceholderSize

    public int getPlaceholderSize()

  Returns the placeholder size. Must be one of the PLACEHOLDER_* static constants defined in this class.

  Returns:
    the placeholder size.

### setPlaceholderSize

    public void setPlaceholderSize(byte size)

  Sets the placeholder size. Must be one of the PLACEHOLDER_* static constants defined in this class.

  Parameters:
    `size` - the placeholder size.

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD